com.thinkaurelius.titan.core.log

## Interface LogProcessorBuilder

-     public interface LogProcessorBuilder

  Builder for assembling a processor that processes a particular transaction log. A processor can be composed of one or multiple `ChangeProcessor`s which are executed independently.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LogProcessorBuilder` | `addProcessor(ChangeProcessor processor)` Adds a `ChangeProcessor` to this transaction log processor.
    `void` | `build()` Builds this transaction log processor and starts processing the log.
    `String` | `getLogIdentifier()` Returns the identifier of the transaction log to be processed by this processor.
    `LogProcessorBuilder` | `setProcessorIdentifier(String name)` Sets the identifier of this processor.
    `LogProcessorBuilder` | `setRetryAttempts(int attempts)` Sets how often this log processor should attempt to retry executing a contained `ChangeProcessor` in case of failure.
    `LogProcessorBuilder` | `setStartTime(long sinceEpoch, TimeUnit unit)` Sets the time at which this log processor should start processing transaction log entries
    `LogProcessorBuilder` | `setStartTimeNow()` Indicates that the transaction log processor should process newly added events.

- - ### Method Detail

    - #### getLogIdentifier

          String getLogIdentifier()

      Returns the identifier of the transaction log to be processed by this processor.
      Returns:

    - #### setProcessorIdentifier

          LogProcessorBuilder setProcessorIdentifier(String name)

      Sets the identifier of this processor. This String should uniquely identify a log processing instance and will be used to record up to which position in the log the log processor has advanced. In case of instance failure or instance restart, the log processor can then pick up where it left of.

      This is an optional argument if recording the processing state is desired.
      Parameters:
        `name` -
      Returns:

    - #### setStartTime

          LogProcessorBuilder setStartTime(long sinceEpoch,
                                         TimeUnit unit)

      Sets the time at which this log processor should start processing transaction log entries
      Parameters:
        `sinceEpoch` -
        `unit` -
      Returns:

    - #### setStartTimeNow

          LogProcessorBuilder setStartTimeNow()

      Indicates that the transaction log processor should process newly added events.
      Returns:

    - #### addProcessor

          LogProcessorBuilder addProcessor(ChangeProcessor processor)

      Adds a `ChangeProcessor` to this transaction log processor. These are executed independently.
      Parameters:
        `processor` -
      Returns:

    - #### setRetryAttempts

          LogProcessorBuilder setRetryAttempts(int attempts)

      Sets how often this log processor should attempt to retry executing a contained `ChangeProcessor` in case of failure.
      Parameters:
        `attempts` -
      Returns:

    - #### build

          void build()

      Builds this transaction log processor and starts processing the log.

Copyright © 2012–2014. All rights reserved.